---
schema_version: "1"
id: d8a3228c91756a00f91c08ec81de920153b4aac91984a3f73ab6cb5ce78d9f27
title: Managing Asset Portal Resources
collection: mulesoft
version: current
locale: en-us
portal_url: https://docs.salesforce.com/mulesoft/current/en-us/exchange/to-manage-asset-portal-resources.md
canonical_url: https://docs.mulesoft.com/exchange/to-manage-asset-portal-resources
source_site: docs.mulesoft.com
content_type: documentation
content_hash: 93c780a1fb87db2302e96ee70b5b0635b95a6ec337f53968edbc1cab1f53001a
description: MuleSoft Documentation Site
latest: true
---
---
product: Exchange
---

# Managing Asset Portal Resources

> For the full documentation index, see: https://docs.mulesoft.com/llms.txt

You can upload up to 100 resources to an asset portal. Attempting to add more will result in an
error. You can delete resources to reduce the number and then add more up to the limit.

Only image resources can be uploaded to asset portals. Allowed image formats are: `bmp`, `gif`,
`ico`, `jpe`, `jpeg`, `jpg`, `png`, `svg`, `tif`, `tiff`, or `webp`. The size limit for an image
resource is 2 MB.

These examples show how to list, retrieve, and delete resources from an asset portal with the
Exchange Experience API.

## Authentication

Log in to Anypoint Platform and get an authentication token. Begin every request with the header
`Authorization: bearer ACCESS_TOKEN`.

```console
ACCESS_TOKEN=$(curl https://anypoint.mulesoft.com/accounts/login \
-XPOST -d "username=YOUR_USERNAME&password=YOUR_PASSWORD" | \
jq -r ".access_token")
```

## Using the API

To list all resources:

```console
curl https://anypoint.mulesoft.com/exchange/api/v2/assets/:groupId/:assetId/:version/portal/draft/resources \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

To get a specific resource:

```console
curl https://anypoint.mulesoft.com/exchange/api/v2/assets/:groupId/:assetId/:version/portal/draft/resources/:resourceId \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

To delete a specific resource:

```console
 curl -X DELETE \
  https://anypoint.mulesoft.com/exchange/api/v2/assets/:groupId/:assetId/:version/portal/draft/resources/:resourceId \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

With:

groupId: The asset's groupId assetId: The asset's assetId version: The asset's version resourceId:
The resource file name.
